#!/bin/sh
set -e

if [ "$1" = 'pleroma' ] || [ "$1" = 'pleroma_ctl' ]
then

    mkdir -p /data/{uploads,static}
    mkdir -p /config
    chown -R akkoma /data /config

    echo $0: executing \"pleroma_ctl migrate\"

    pleroma_ctl migrate

    echo $0: executing \"$@\"

    exec su-exec akkoma "$@"

fi

exec "$@"
